﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows.Data;

namespace TabControlHeaderStyle
{
	public class MainPageViewModel : ViewModelBase
	{
		public MainPageViewModel()
		{
			AddPage();
		}

		private ObservableCollection<UserControl> tabs;

		private void AddPage()
		{
			tabs = new ObservableCollection<UserControl>();

			TagTest tab1 = new TagTest();
			tab1.ViewCaption = "First";

			TagTest tab2 = new TagTest();
			tab2.ViewCaption = "Second";

			tabs.Add(tab1);
			tabs.Add(tab2);
		}

		public ObservableCollection<UserControl> Tabs
		{
			get
			{
				return this.tabs;
			}
		}

		public void AddToHeader()
		{
			 (this.tabs[0] as TagTest).ViewCaption += " Tab";
		}
	}
}
