﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace TabControlHeaderStyle
{
	public partial class TagTest : UserControl, INotifyPropertyChanged
	{
		private string viewCaption;

		public TagTest()
		{
			InitializeComponent();
		}

		public string ViewCaption
		{
			get
			{
				return this.viewCaption;
			}
			set
			{
				this.viewCaption = value;
				OnPropertyChanged("ViewCaption");
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected void OnPropertyChanged(string name)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(name));
			}
		}
	}
}
